Bug Hunting Session
Bug 116605 - Impress slide transition can not be canceled/skipped
Summary: Impress slide transition can not be canceled/skipped
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Slide-Transitions
  Show dependency treegraph
 
Reported: 2018-03-24 13:36 UTC by joerg.kubitz@gmx.de
Modified: 2019-04-04 03:03 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Simple example (just start it F5) (11.74 KB, application/vnd.oasis.opendocument.presentation)
2018-03-24 13:37 UTC, joerg.kubitz@gmx.de
Details

Note You need to log in before you can comment on or make changes to this bug.
Description joerg.kubitz@gmx.de 2018-03-24 13:36:53 UTC
Description:
Starting a presentation (F5) for a presentation having a slide with a transition configrued on the first page starts the animation without showing the presentator view. The animation can not be canceled.
The Problem also occurs when selecting a slide with a transition during a presentaion and also when showing a transition animation preview in the editor.

Steps to Reproduce:
1. Create slide with transition
2. start presentation
3. try to cancel animation

Actual Results:  
Pressing ESC rarly interrupts animation. Pressing ESC repeatedly sometimes stop the animation but also the whole presentation

Expected Results:
User should always have full control so should be able to stop an animation by pressing ESC or just clicking on another slide. Clicking on the same slide twice should immediately show the slide without transition.
Animation should start only after showing the presentator view (on the secondary  screen).


Reproducible: Always


User Profile Reset: Yes



Additional Info:
Especially annoying when the translation time is >1 seconds(like scrolling people list at the end of an movie).


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:59.0) Gecko/20100101 Firefox/59.0
Comment 1 joerg.kubitz@gmx.de 2018-03-24 13:37:47 UTC
Created attachment 140855 [details]
Simple example (just start it F5)
Comment 2 joerg.kubitz@gmx.de 2018-03-27 21:37:15 UTC
The behaviour is even documented in the sourcecode (sd\source\ui\slideshow\slideshowimpl.cxx)

/** this timer is called 20ms after a new slide was displayed.
    This is used to unfreeze user input that was disabled after
    slide change to skip input that was buffered during slide
    transition preparation */
Comment 3 Jacques Guilleron 2018-03-29 10:03:38 UTC
Hi joerg,

Try with
LO 5.4.5.1 Build ID: 79c9829dd5d8054ec39a82dc51cd9eff340dbee8
CPU threads: 2; OS: Windows 6.1; UI render: default; 
Locale: en-GB (fr_FR); Calc: CL
The first Slide Transition is None and delete the previous setting.
Doesn't it work for you?
Comment 4 Jacques Guilleron 2018-03-29 10:05:08 UTC Comment hidden (obsolete)
Comment 5 joerg.kubitz@gmx.de 2018-03-29 12:53:31 UTC
Hi, Jacques,
sorry i dont understand what you want to know. Do you want me to delete the first transition?
Comment 6 Xisco Faulí 2018-04-03 14:54:08 UTC
Confirmed in

Version: 6.1.0.0.alpha0+
Build ID: 222dc6ef01ae56f9c77d225f96a99a93f841e809
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Version: 5.2.0.0.alpha0+
Build ID: 3ca42d8d51174010d5e8a32b96e9b4c0b3730a53
Threads 4; Ver: 4.10; Render: default; 

Version 4.1.0.0.alpha0+ (Build ID: efca6f15609322f62a35619619a6d5fe5c9bd5a)

LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4
Comment 7 QA Administrators 2019-04-04 03:03:47 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug